Windows 7 Forums

Welcome to Windows 7 Forums. Our forum is dedicated to helping you find support and solutions for any problems regarding your Windows 7 PC be it Dell, HP, Acer, Asus or a custom build. We also provide an extensive Windows 7 tutorial section that covers a wide range of tips and tricks.


Windows 7: Program is asking for a version of .NET Framework that I'm ahead of

25 Nov 2015   #1
WulfyRoxas

Windows 7 Home Premium (SP1) 64-Bit
 
 
Program is asking for a version of .NET Framework that I'm ahead of

I need to use a specific (no named)
program to help create a mod for a
game im playing, but the program is asking
for an earlier version of .NET Framework.

I tried searching to see if i could install an earlier version, but all
i could find what that i couldn't.

Program is asking for a version of .NET Framework that I'm ahead of-nethelp.png

anyone know how to deal with this?




My System SpecsSystem Spec
.
26 Nov 2015   #2
Mellon Head

Win 7 Pro x64/Win 10 Pro x64 dual boot
 
 

.NET 4.6 is supposed to include 4.0, and probably won't let you install 4.0.

I suspect that the program that you're trying to use is hard coded to expect .NET 4.0, and it won't use 4.6.

You'll have to uninstall 4.6, install 4.0, and then reinstall 4.6 again.

.NET versions can be found here:

.NET 4.0: https://www.microsoft.com/en-ca/down....aspx?id=17851

.NET 4.6: https://www.microsoft.com/en-us/down....aspx?id=48130
My System SpecsSystem Spec
26 Nov 2015   #3
Alejandro85

Windows 7 Ultimate x64
 
 

Look in the program's folder if it contains a ".config" file, named exactly the same as the main executable you're running. .NET programs must specify particular framework versions in this file, which can be easily edited if it needs to.

In your case, it should be named "The Sims 4 Buff and Trait Factory.exe.config". If it exist, post it here for analysis.
My System SpecsSystem Spec
.

Reply

 Program is asking for a version of .NET Framework that I'm ahead of




Thread Tools Search this Thread
Search this Thread:

Advanced Search




Similar help and support threads
Thread Forum
Offered security update for version of .NET Framework I don't have?
Yesterday's patch Tuesday Updates offered KB3072305, which is described as an important security update for Microsoft .NET Framework 3.5.1 (*not* "3.5.1 and above"). Why would this be offered to me when the only version I have listed in Program and Features is 4.5.2? I applied the update, but I...
Windows Updates & Activation
Microsoft .net framework 3.5 or older can i unistall & use 4.5 version
hi i have the versions of .net framework 3 and 3.5.1 or something like that on win7 64 bit ultimate and they are required for games as well recently i just installed a few new games and they required .net framework 4.5 so i installed it now i am thinking can i uninstall the older...
Software
.net framework any version will give error 667 on install
Ive been having issues with this ever since Avast deleted files inadvertantly on a boot-time scan. Now no installation of .net framework any version will install: error code 667 Really dont want to do a clean OS install if possible.
Windows Updates & Activation
Win7 Ships what version .Net Framework ?
One of the new software i wana install requires .Net Framework 4.0 and hence i was wondering what version of .Net Framework does win7 ultimate ships with? Also, how can i check which version i am having by default ?
Installation & Setup
.NET Framework program incompatibily on Windows 7
I'm trying to use a program called streetsmart pro, but it's having a .net framework problem. It was designed for 2.0. It works on my XP machine, but no luck in Windows 7. I tried disabling 3.5 in the turn windows features on/off menu, but that didn't help. It hangs on the loading screen. I've...
Software


Our Sites

Site Links

About Us

Find Us

Windows 7 Forums is an independent web site and has not been authorized, sponsored, or otherwise approved by Microsoft Corporation. "Windows 7" and related materials are trademarks of Microsoft Corp.

Designer Media Ltd

All times are GMT -5. The time now is 04:53.

Twitter Facebook Google+



Windows 7 Forums

Seven Forums Android App Seven Forums IOS App